mkvmlinuz (38) unstable; urgency=medium

  * Depend on vim-common. (Closes: #712659)
  * Push run-parts output to stderr. (Closes: #741642)
  * Conform to Debian Policy standards version 3.9.6

 -- Milan Kupcevic <milan@physics.harvard.edu>  Sat, 11 Jul 2015 21:37:08 -0400

mkvmlinuz (37) unstable; urgency=medium

  * Include only necessary modules to further reduce vmlinuz size on Pegasos. 
    (Closes: #782278)

 -- Milan Kupcevic <milan@physics.harvard.edu>  Fri, 10 Apr 2015 07:13:57 -0400

mkvmlinuz (36) unstable; urgency=low

  * New maintainer. (Closes: #677760)
  * Remove Sven Luther and Aurélien GÉRÔME from Uploaders, many thanks
    for your contributions.
  * Add myself to Uploaders.
  * Conform to Debian Policy standards version 3.9.3
  * Switch to dpkg-source 3.0 (native) format.
  * Add build-arch and buld-indep targets to debian/rules.
  * Bump debhelper compatibility to 8, use dh_prep.
  * Add ${misc:Depends} to Depends field.
  * Revise debian/copyright. 
  * Switch package section from devel to utils.
  * Use hardening compiler flags
  * Compress initrd with xz to significantly reduce 
    vmlinuz size. (Closes: #549681)
  * Add -fno-stack-protector, thanks to Colin Watson. (Closes: #509007)
  * Debconf translations:
    - Add Danish, thanks to Joe Hansen. (Closes: #600132)
    - Add Indonesian, thanks to Mahyuddin Susanto. (Closes: #658443)
  * Kill lintian warnings.
    - Spelling error in mkvmlinuz manpage
    - Fix lintian overrides

 -- Milan Kupcevic <milan@physics.harvard.edu>  Tue, 03 Jul 2012 17:55:04 -0400

mkvmlinuz (35) unstable; urgency=low

  * Add debconf translations:
    + Spanish, thanks to Francisco Javier Cuadrado. (Closes: #497530)
    + Polish, thanks to Łukasz Paździora. (Closes: #505866)
  * Bump Standards-Version to 3.8.0.

 -- Aurélien GÉRÔME <ag@debian.org>  Wed, 10 Dec 2008 12:24:06 +0100

mkvmlinuz (34) unstable; urgency=low

  * Add debconf translations:
    + Dutch, thanks to Bart Cornelis. (Closes: #415493)
    + Italian, thanks to Luca Monducci. (Closes: #460131)
    + Finnish, thanks to Esko Arajärvi. (Closes: #475638)
    + Galician, thanks to Jacobo Tarrio. (Closes: #475759)
    + Basque, thanks to Piarres Beobide. (Closes: #476073)
  * Change my email address in the Uploaders field.
  * Bump Standards-Version to 3.7.3.
  * Use the Vcs-Svn field.
  * Add the Vcs-Browser.
  * Add ppc64 architecture support, thanks to Andreas Jochens.
    (Closes: #476805)
  * Fix lintian error "missing-dependency-on-libc needed by
    ./usr/lib/mkvmlinuz/addnote".
    + Add dh_shlibdeps to debian/rules.
    + Add ${shlibs:Depends} to debian/control.

 -- Aurélien GÉRÔME <ag@debian.org>  Thu, 24 Apr 2008 16:51:55 +0200

mkvmlinuz (33) unstable; urgency=low

  * Add Japanese translation thanks to Kobayashi Noritada.
    (Closes: #401384)

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon,  5 Mar 2007 18:05:01 +0100

mkvmlinuz (32) unstable; urgency=medium

  * Fix failure on PReP induced by fixing #381787. (Closes: #408385)
  * Add checks for possible silent failures.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 25 Jan 2007 16:33:33 +0100

mkvmlinuz (31) unstable; urgency=medium

  * Fix long description thanks to Steve Langasek.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon, 22 Jan 2007 10:55:02 +0100

mkvmlinuz (30) unstable; urgency=low

  * Fix arithmetic syntax error. (Closes: #374185)
  * Add myself to the Uploaders field.
  * Bump Standards-Version to 3.7.2.
  * Fix some expressions in long description.
  * Fix lintian errors and warnings.
    + Add po-debconf to the Build-Depends field.
    + Depend explicitly on bash (>= 3) to avoid a simple dependency
      on an essential package.
    + Add dh_strip in debian/rules, because a binary was left
      unstripped.
    + Remove debian/conffiles as debhelper (>= 4) adds conffiles
      under /etc automatically.
    + Add the #DEBHELPER# token to debian/postinst.
    + Move debian/kernel-image.postinst to debian/kernel-image/postinst
      and debian/kernel-image.postrm to debian/kernel-image/postrm,
      because it prevents lintian from believing they are maintainer
      scripts for the packaging system.
    + Add debian/lintian.overrides for debconf-is-not-a-registry,
      because we need a debconf setting from mkvmlinuz in kernel
      scripts.
  * Fix silent failure by adding some checks. (Closes: #381787)
  * Add the XS-Vcs-Svn field.
  * Add Portuguese translation thanks to Rui Branco. (Closes: #401384)
  * Add debugging symbols during build process.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 14 Jan 2007 14:41:03 +0100

mkvmlinuz (29) unstable; urgency=high

  * Added Efika support.

 -- Sven Luther <luther@debian.org>  Sat, 16 Dec 2006 02:18:19 +0100

mkvmlinuz (28) unstable; urgency=low

  * Added support for 2.6.19 kernels.
  * Added portuguese translation. (Closes: #401384)

 -- Sven Luther <luther@debian.org>  Tue,  5 Dec 2006 17:20:48 +0100

mkvmlinuz (27) unstable; urgency=low

  * Corrected typo. (Closes: #399768)

 -- Sven Luther <luther@debian.org>  Tue, 21 Nov 2006 22:43:28 +0100

mkvmlinuz (26) unstable; urgency=low

  * Fixed -prep support.

 -- Sven Luther <luther@debian.org>  Sat, 18 Nov 2006 21:41:01 +0100

mkvmlinuz (25) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to po-debconf for debconf templates. (Closes: #298972)
  * Debconf translations:
    - Add Swedish (updated during the l10n update campaign)
      (Closes: #331020)
    - Add Vietnamese. Sent during the l10n update campaign
    - Add Czech. Sent during the l10n update campaign
    - Add Romanian. Sent during the l10n update campaign
    - Add French. Sent during the l10n update campaign
    - Add German. Sent during the l10n update campaign
    - Add Russian. Sent during the l10n update campaign
    - Add Brazilian Portuguese. Sent during the l10n update campaign

 -- Sven Luther <luther@debian.org>  Thu,  9 Nov 2006 22:13:12 +0100

mkvmlinuz (24) unstable; urgency=low

  * Adapted uncompressor object list to 2.6.18.
  * Re-enabled -prep support.

 -- Sven Luther <luther@debian.org>  Sat, 23 Sep 2006 21:51:52 +0200

mkvmlinuz (23) unstable; urgency=low

  * Fallback arch/powerpc/boot object files for chrp kernels without mkvmlinuz
    support. This uses the 2.6.16+ code, but should work with any 2.6 kernel.
  * Now supports the creation of a /boot/vmlinuz symlink to the last created
    vmlinuz kernel. (Closes: #260219)
  * Now uses /bin/bash as interpeter, as we use bashisms. (Closes: #374185)

 -- Sven Luther <luther@debian.org>  Tue,  4 Jul 2006 22:04:50 +0200

mkvmlinuz (22) unstable; urgency=high

  * Fixed broken 2.6.16+ support.

 -- Sven Luther <luther@debian.org>  Wed, 31 May 2006 17:40:37 +0200

mkvmlinuz (21) unstable; urgency=low

  * Fixed commented out cleanup call, now doesn't fill /tmp with cruft
    anymore. Thanks to Colin Watson for noticing this. (Closes: #365978)

 -- Sven Luther <luther@debian.org>  Mon,  8 May 2006 19:32:16 +0000

mkvmlinuz (20) unstable; urgency=low

  * Ported to 2.6.16 powerpc kernels.
  * Added powerpc64 support.

 -- Sven Luther <luther@debian.org>  Thu, 20 Apr 2006 18:42:41 +0000

mkvmlinuz (19) unstable; urgency=low

  * Added debconf dependency. (Closes: #342372)

 -- Sven Luther <luther@debian.org>  Fri,  6 Jan 2006 16:25:10 +0100

mkvmlinuz (18) unstable; urgency=low

  * Now look at $STEM-image, linux-image and then only kernel-image for the
    objdir.

 -- Sven Luther <luther@debian.org>  Sat, 31 Dec 2005 18:25:19 +0000

mkvmlinuz (17) unstable; urgency=low

  * Fixed lame typo in version 16 :/

 -- Sven Luther <luther@debian.org>  Sat, 26 Nov 2005 14:07:45 +0000

mkvmlinuz (16) unstable; urgency=low

  * Added -l option, enabling the caller to specify the elf link address.

 -- Sven Luther <luther@debian.org>  Mon,  7 Nov 2005 14:47:22 +0000

mkvmlinuz (15) unstable; urgency=high

  * Generates a striped compressed vmlinuz on apus and miboot.

 -- Sven Luther <luther@debian.org>  Mon, 10 Oct 2005 10:01:33 +0200

mkvmlinuz (14) unstable; urgency=low

  * Now autodetects if the initrd is gzip compressed. This will allow to do
    the right thing for initrds (not compressed by default) and initramfs
    (compressed by default), since the kernel was none too happy with doubly
    compressed initramfs initrds :)

 -- Sven Luther <luther@debian.org>  Fri, 16 Sep 2005 10:22:09 +0200

mkvmlinuz (13) unstable; urgency=high

  * Added debconf magic to kernel-image postinst/postrm hooks.

 -- Sven Luther <luther@debian.org>  Fri, 25 Feb 2005 14:47:52 +0100

mkvmlinuz (12) unstable; urgency=high

  * Fixed PReP support for recent kernel versions (including vanilla
    2.6.9-rc2 and Debian revision 2.6.8-7).

 -- Jens Schmalzing <jensen@debian.org>  Mon,  4 Oct 2004 22:37:02 +0200

mkvmlinuz (11) unstable; urgency=high

  * Fixed NewWorld PowerMac support.

 -- Jens Schmalzing <jensen@debian.org>  Sun,  3 Oct 2004 09:59:41 +0200

mkvmlinuz (10) unstable; urgency=low

  * Fixed miBoot support.

  * Changed the internal name for NewWorld PowerMacs from newworld to the
    slightly inaccurate pmac, since this is what the kernel Makefiles use.

  * Documented the possible subarchitectures in the manpage.

 -- Jens Schmalzing <jensen@debian.org>  Sat, 11 Sep 2004 21:09:55 +0200

mkvmlinuz (9) unstable; urgency=low

  * Added PPCBug support (closes: #269146).

  * Added miBoot support.

  * Made quiet operation the default, previous default is now activated by
    asking for verbose operation.

  * Added an option to prevent guessing the name of an initrd.

 -- Jens Schmalzing <jensen@debian.org>  Tue, 31 Aug 2004 13:51:15 +0200

mkvmlinuz (8) unstable; urgency=low

  * Fixed spurious output when not using an initrd.

  * Discard command output if verbose flag is not set (closes: Bug#263452).

 -- Jens Schmalzing <jensen@debian.org>  Wed,  4 Aug 2004 17:33:19 +0200

mkvmlinuz (7) unstable; urgency=low

  * Set a default output file location in /etc/mkvmlinuz/output.

  * Added PReP support (closes: #252427, #256074).

 -- Jens Schmalzing <jensen@debian.org>  Thu,  8 Jul 2004 09:23:38 +0200

mkvmlinuz (6) unstable; urgency=low

  * Added an option to prevent compressing an already compressed ramdisk
    image (closes: Bug#252489).

 -- Jens Schmalzing <jensen@debian.org>  Tue, 15 Jun 2004 20:01:23 +0200

mkvmlinuz (5) unstable; urgency=low

  * Fixed a typo (closes: Bug#252036).

 -- Jens Schmalzing <jensen@debian.org>  Tue,  1 Jun 2004 10:38:00 +0200

mkvmlinuz (4) unstable; urgency=low

  * Fixed CHRP support by adding the directory to the addnote call
    (closes: Bug#251043).

 -- Jens Schmalzing <jensen@debian.org>  Wed, 26 May 2004 21:36:39 +0200

mkvmlinuz (3) unstable; urgency=low

  * Added Pegasos support.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 21 May 2004 08:42:45 +0200

mkvmlinuz (2) unstable; urgency=low

  * Added a missing option to the getopts call.

 -- Jens Schmalzing <jensen@debian.org>  Thu, 13 May 2004 21:55:37 +0200

mkvmlinuz (1) unstable; urgency=low

  * Initial Release.

 -- Jens Schmalzing <jensen@debian.org>  Fri, 23 Apr 2004 10:19:35 +0200

